#include <iostream>
#include <vector>
using namespace std;
void napravi_matricu(vector<int> n, vector<int> m,int t){
int a;
for(int i=0;i<t;i++){
    if(n[i]!=m[i]){
        cout<<-1<<endl;
    }
    else {

        for(int j=0;j<n[i];j++){
            a=n[i]-(j+1);
            for(int k=0;k<n[i];k++){
                if(a!=0){
                cout<<"0 ";
                a--;
                }
                else cout<<"1 ";
        }
        cout<<endl;
    }
    }
}
}
int main()
{
int t;
cin>>t;
vector<int>n(t);
vector<int>m(t);
for(int i=0;i<t;i++)cin>>n[i]>>m[i];
napravi_matricu(n,m,t);
return 0;
}